# $Revision: 1.7 $, $Date: 2007-02-13 07:16:53 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Class
%define		pnam	ErrorHandler
Summary:	Class::ErrorHandler - base class for error handling
Summary(pl.UTF-8):	Class::ErrorHandler - klasa bazowa do obsługi błędów
Name:		perl-Class-ErrorHandler
Version:	0.01
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6a07ad34dfcdf510677f92e47643976d
URL:		http://search.cpan.org/dist/Class-ErrorHandler/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is Class::ErrorHandler, a base class for classes that need to do
error handling (which is, probably, most of them).

%description -l pl.UTF-8
To jest Class::ErrorHandler - klasa bazowa dla klas potrzebujących
obsługiwać błędy (czyli prawdopodobnie większości).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
        INSTALLDIRS=vendor

%{__make}
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
        DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Class/ErrorHandler.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-ErrorHandler.spec,v $
Revision 1.7  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:24  baggins
- converted to UTF-8

Revision 1.5  2006/07/26 22:55:59  glen
- generic url

Revision 1.4  2006/06/09 15:39:48  wolf
- cosmetics

Revision 1.3  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.2  2005/06/23 16:35:23  qboosh
- pl

Revision 1.1  2005/06/21 17:51:21  czucz
- initial release
